Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.search
Class FindUsageAction

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protege.util.StandardAction
              edu.stanford.smi.protege.util.AllowableAction
                  edu.stanford.smi.protegex.owl.ui.search.FindUsageAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

    public class FindUsageAction

extends edu.stanford.smi.protege.util.AllowableAction

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.smi.protege.util.StandardAction
`DISABLED_ICON`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`FindUsageAction(edu.stanford.smi.protege.util.Selectable selectable)`
`FindUsageAction(edu.stanford.smi.protege.util.Selectable selectable, String text)`

Method Summary
`void` | `actionPerformed(ActionEvent e)`

Methods inherited from class edu.stanford.smi.protege.util.AllowableAction
`getSelectable, getSelection, isAllowed, onSelectionChange, setAllowed`

Methods inherited from class edu.stanford.smi.protege.util.StandardAction
`equals, getIcon, getName, getName, initialize, setDescription, setDescription, setDisabledIcon, setDisabledIcon, setIcon, setIcon, setMnemonic, setMnemonic, setName, setName, setShortcut, setShortcut, substituteIntoName`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindUsageAction

    public FindUsageAction(edu.stanford.smi.protege.util.Selectable selectable)

### FindUsageAction

    public FindUsageAction(edu.stanford.smi.protege.util.Selectable selectable,
                           String text)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.